<?php
/**
 * Customizer settings: colors
 *
 * @package WordPress
 * @subpackage SEO
 */

?>
<?php
function diagnoseo_customize_register_colors( $wp_customize ) {
	$section = 'colors';

	$wp_customize->get_control( 'header_textcolor' )->priority    = 125;
	$wp_customize->get_control( 'header_textcolor' )->label       = __( 'Header text color', 'diagnoseo' );
	$wp_customize->get_control( 'background_color' )->priority    = 1;
	$wp_customize->get_control( 'background_color' )->label       = __( 'Background color', 'diagnoseo' );

	diagnoseo_register_color_setting( 'content_bg_color', CONTENT_BG_COLOR, __( 'Content background color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'main_color', MAIN_COLOR, __( 'Main color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'basic_text_color', BASIC_TEXT_COLOR, __( 'Basic text color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'additional_text_color', ADDITIONAL_TEXT_COLOR, __( 'Additional text color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'headings_text_color', HEADINGS_TEXT_COLOR, __( 'Headings text color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'link_color', LINK_COLOR, __( 'Link color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'link_hover_color', LINK_HOVER_COLOR, __( 'Link hover color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'border_color', BORDER_COLOR, __( 'Border color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'footer_bg_color', FOOTER_BG_COLOR, __( 'Footer backround color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'footer_text_color', FOOTER_TEXT_COLOR, __( 'Footer text color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'footer_link_color', FOOTER_LINK_COLOR, __( 'Footer link color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'footer_link_hover_color', FOOTER_LINK_HOVER_COLOR, __( 'Footer link hover color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'button_bg_color', BUTTON_BG_COLOR, __( 'Button background color', 'diagnoseo' ), $section, $wp_customize );
	diagnoseo_register_color_setting( 'button_text_color', BUTTON_TEXT_COLOR, __( 'Button text color', 'diagnoseo' ), $section, $wp_customize );
}

add_action( 'customize_register', 'diagnoseo_customize_register_colors' );