<?php
/**
 * Customizer settings: sidebars
 *
 * @package WordPress
 * @subpackage SEO
 */

?>
<?php
/**
 * Registers customizer settings for sidebars
 *
 * @param object $wp_customize Customizer object.
 */
function diagnoseo_customize_register_sidebar( $wp_customize ) {
	$wp_customize->add_section(
		'sidebars',
		array(
			'title'    => __( 'Sidebar', 'diagnoseo' ),
			'priority' => 45,
		)
	);

	$wp_customize->add_setting(
		'sidebar_position',
		array(
			'default'           => SIDEBAR_POSITION,
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'sidebar_position',
		array(
			'label'    => __( 'Sidebar position', 'diagnoseo' ),
			'section'  => 'sidebars',
			'settings' => 'sidebar_position',
			'type'     => 'select',
			'choices'  => array(
				'right' => __( 'Right', 'diagnoseo' ),
				'left'  => __( 'Left', 'diagnoseo' ),
				'none'  => __( 'No sidebar', 'diagnoseo' ),
			),
		)
	);

	$wp_customize->add_setting(
		'sidebar_position_post',
		array(
			'default'           => SIDEBAR_POSITION_POST,
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'sidebar_position_post',
		array(
			'label'    => __( 'Sidebar position in posts', 'diagnoseo' ),
			'section'  => 'sidebars',
			'settings' => 'sidebar_position_post',
			'type'     => 'select',
			'choices'  => array(
				'right' => __( 'Right', 'diagnoseo' ),
				'left'  => __( 'Left', 'diagnoseo' ),
				'none'  => __( 'No sidebar', 'diagnoseo' ),
			),
		)
	);

	$wp_customize->add_setting(
		'sidebar_position_page',
		array(
			'default'           => SIDEBAR_POSITION_PAGE,
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'sidebar_position_page',
		array(
			'label'    => __( 'Sidebar position in pages', 'diagnoseo' ),
			'section'  => 'sidebars',
			'settings' => 'sidebar_position_page',
			'type'     => 'select',
			'choices'  => array(
				'right' => __( 'Right', 'diagnoseo' ),
				'left'  => __( 'Left', 'diagnoseo' ),
				'none'  => __( 'No sidebar', 'diagnoseo' ),
			),
		)
	);

	$wp_customize->add_setting(
		'sidebar_position_archive',
		array(
			'default'           => SIDEBAR_POSITION_ARCHIVE,
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'sidebar_position_archive',
		array(
			'label'    => __( 'Sidebar position in archives', 'diagnoseo' ),
			'section'  => 'sidebars',
			'settings' => 'sidebar_position_archive',
			'type'     => 'select',
			'choices'  => array(
				'right' => __( 'Right', 'diagnoseo' ),
				'left'  => __( 'Left', 'diagnoseo' ),
				'none'  => __( 'No sidebar', 'diagnoseo' ),
			),
		)
	);
}

add_action( 'customize_register', 'diagnoseo_customize_register_sidebar' );
