<?php
/**
 * Customizer settings in css variables
 *
 * @package WordPress
 * @subpackage SEO
 */

?>
<?php
/**
 * Creates a tyle containig all the variables
 */
function diagnoseo_css_vars() {
	$css = '';

	$icon_font_path = get_template_directory_uri() . '/fonts';

	$css .= "@font-face {
		font-display: swap;
		font-family: 'seo';
		src: url( '" . $icon_font_path . "/seo.eot?ay24jn' );
		src: url( '" . $icon_font_path . "/seo.eot?ay24jn#iefix' ) format( 'embedded-opentype' ),url( '" . $icon_font_path . "/seo.ttf?ay24jn' ) format( 'truetype' ),url( '" . $icon_font_path . "/seo.woff?ay24jn' ) format( 'woff' ),url( '" . $icon_font_path . "/seo.svg?ay24jn#m' ) format( 'svg' );
		font-weight: normal;
		font-style: normal;
	}\n";


	$css .= ":root {\n";
	/**
	 * Colors
	 */
	$css .= '--content-background-color: ' . diagnoseo_get_color( 'content_bg_color' ) . ";\n";
	$css .= '--main-color: ' . diagnoseo_get_color( 'main_color' ) . ";\n";
	$css .= '--basic-text-color: ' . diagnoseo_get_color( 'basic_text_color' ) . ";\n";
	$css .= '--additional-text-color: ' . diagnoseo_get_color( 'additional_text_color' ) . ";\n";
	$css .= '--headings-text-color: ' . diagnoseo_get_color( 'headings_text_color' ) . ";\n";
	$css .= '--link-color: ' . diagnoseo_get_color( 'link_color' ) . ";\n";
	$css .= '--link-hover-color: ' . diagnoseo_get_color( 'link_hover_color' ) . ";\n";
	$css .= '--border-color: ' . diagnoseo_get_color( 'border_color' ) . ";\n";
	$css .= '--footer-background-color: ' . diagnoseo_get_color( 'footer_bg_color' ) . ";\n";
	$css .= '--footer-text-color: ' . diagnoseo_get_color( 'footer_text_color' ) . ";\n";
	$css .= '--footer-link-color: ' . diagnoseo_get_color( 'footer_link_color' ) . ";\n";
	$css .= '--footer-link-hover-color: ' . diagnoseo_get_color( 'footer_link_hover_color' ) . ";\n";
	$css .= '--button-bg-color: ' . diagnoseo_get_color( 'button_bg_color' ) . ";\n";
	$css .= '--button-text-color: ' . diagnoseo_get_color( 'button_text_color' ) . ";\n";

	/**
	 * CSS end
	 */
	$css .= "}\n";

	if ( function_exists( 'add_inline_style' ) ) {
		add_inline_style( 'seo-css-vars', $css );
	} else {
		wp_styles()->add_inline_style( 'seo-css-vars', $css );
	}

	return $css;
}

function diagnoseo_get_color($mod_id) {
	$mod_const = constant( strtoupper( $mod_id ) );
	$color = get_theme_mod( $mod_id, $mod_const );
	if ( empty($color) ) {
		$color = $mod_const;
	}

	return $color;
}

add_action( 'wp_enqueue_scripts', 'diagnoseo_css_vars', 1 );
add_action( 'enqueue_block_editor_assets', 'diagnoseo_css_vars' );
