<?php
/**
 * Sidebar functions
 *
 * @package WordPress
 * @subpackage SEO
 */

?>
<?php
/**
 * Returns the sidebar position in current page
 */
function diagnoseo_get_sidebar_position() {

	if (is_archive()) {
		$sidebar_pos = get_theme_mod( 'sidebar_position_archive', SIDEBAR_POSITION_ARCHIVE );
	} else if (is_page()) {
		$sidebar_pos = get_theme_mod( 'sidebar_position_page', SIDEBAR_POSITION_PAGE );
	} else if (is_single()) {
		$sidebar_pos = get_theme_mod( 'sidebar_position_post', SIDEBAR_POSITION_POST );
	} else {
		$sidebar_pos = get_theme_mod( 'sidebar_position', SIDEBAR_POSITION );
	}

	if (is_singular()) {
		global $post;
		$local_pos = get_post_meta($post->ID, 'seo-friendly-sidebar-position', true);
		if ( ! empty( $local_pos ) ) {
			$sidebar_pos = $local_pos;
		}
	}

	return $sidebar_pos;
}