<?php
/**
 * Page template
 *
 * @package WordPress
 * @subpackage SEO
 */

?>


<?php
get_header();

if ( have_posts() ) :
	while ( have_posts() ) :
		the_post();
		$show_title     = get_post_meta( $post->ID, 'seo-friendly-show-title', true );
		$sidebar_pos    = get_post_meta( $post->ID, 'seo-friendly-sidebar-position', true );
		$thumbnail_size = 'none' === $sidebar_pos ? 'seo-friendly-wide' : '';
		?>
<main class="main">
	<article class="page single">
		<?php if ( has_post_thumbnail() ) : ?>
		<div class="post-image"><?php the_post_thumbnail( $thumbnail_size ); ?></div>
		<?php endif; ?>
		<div class="post-content">
			<?php if ( 'off' !== $show_title ) : ?>
			<h1 class="post-title"><?php the_title(); ?> <?php edit_post_link( esc_html__( 'Edit this entry', 'diagnoseo' ), '', '' ); ?></h1>
			<?php endif; ?>

			<?php the_content(); ?>
			<?php
			wp_link_pages(
				array(
					'before'         => '<p class="pages"><strong>' . esc_html__( 'Pages', 'diagnoseo' ) . ':</strong> ',
					'after'          => '</p>',
					'next_or_number' => 'number',
					'aria_current'   => 'page',
				)
			);
			?>
		</div>
	</article>

	<?php comments_template(); ?>
</main>
		<?php
	endwhile;
endif;
?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>
